/**
 * Copyright (C) 2012 Linutop SAS <http://www.linutop.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <libxfce4panel/xfce-panel-plugin.h>

static gboolean
noop (gpointer data)
{
    return TRUE;
}

static void
construct (XfcePanelPlugin *plugin)
{
    g_signal_connect (plugin, "size-changed", G_CALLBACK (gtk_true), NULL);

    g_timeout_add_seconds (3600*24*7, noop, NULL);
}

XFCE_PANEL_PLUGIN_REGISTER(construct)
